import { MyObjectArrayRefTwoDimensions } from '../model/my-object-array-ref-two-dimensions.model';
import { StandardHttpException } from './../utils/standard-http-exception.utils';
import { Observable } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';
/**
 * ------------------------------------------------
 * @author API Rest Generator
 * ------------------------------------------------
 */
export declare class ArraystestService {
    private baseURI;
    private http;
    /** Constant - API Version - Key */
    static API_VERSION_KEY: string;
    /** Constant - API Version - Value */
    static API_VERSION_VALUE: string;
    constructor(baseURI: string, http: HttpClient);
    getBaseURI(scheme: string): string;
    responseOneDimension(scheme: string): Observable<boolean[]>;
    /**
     * Validate the input scheme with the expected for this
     */
    responseOneDimensionValidateScheme(scheme: any): boolean;
    /**
     * The following method get the full URL
     */
    responseOneDimensionFullUrl(scheme: string): string;
    /**
     * The following method assign every path parameter with the value
     */
    responseOneDimensionPathAssignment(urlWithScheme: string): string;
    /**
     * The following method assign every query parameter with the value
     */
    responseOneDimensionQueryAssignment(): string;
    /**
     * The following method assign every header parameter with the value
     */
    responseOneDimensionHeaderAssignment(): HttpHeaders;
    bodySimpleType(scheme: string, bodyParameter: boolean): Observable<MyObjectArrayRefTwoDimensions[]>;
    /**
     * Validate the input scheme with the expected for this
     */
    bodySimpleTypeValidateScheme(scheme: any): boolean;
    /**
     * The following method get the full URL
     */
    bodySimpleTypeFullUrl(scheme: string): string;
    /**
     * The following method assign every path parameter with the value
     */
    bodySimpleTypePathAssignment(urlWithScheme: string): string;
    /**
     * The following method assign every query parameter with the value
     */
    bodySimpleTypeQueryAssignment(): string;
    /**
     * The following method assign every header parameter with the value
     */
    bodySimpleTypeHeaderAssignment(): HttpHeaders;
    bodyArray(scheme: string, bodyParameter: boolean[]): Observable<MyObjectArrayRefTwoDimensions[]>;
    /**
     * Validate the input scheme with the expected for this
     */
    bodyArrayValidateScheme(scheme: any): boolean;
    /**
     * The following method get the full URL
     */
    bodyArrayFullUrl(scheme: string): string;
    /**
     * The following method assign every path parameter with the value
     */
    bodyArrayPathAssignment(urlWithScheme: string): string;
    /**
     * The following method assign every query parameter with the value
     */
    bodyArrayQueryAssignment(): string;
    /**
     * The following method assign every header parameter with the value
     */
    bodyArrayHeaderAssignment(): HttpHeaders;
    queryArrayInputTypes(scheme: string, longArrayQuery: number[], booleanQuery: boolean, integerArrayQuery: number[], doubleArrayQuery: number[]): Observable<MyObjectArrayRefTwoDimensions[]>;
    /**
     * Validate the input scheme with the expected for this
     */
    queryArrayInputTypesValidateScheme(scheme: any): boolean;
    /**
     * The following method get the full URL
     */
    queryArrayInputTypesFullUrl(scheme: string, longArrayQuery: number[], booleanQuery: boolean, integerArrayQuery: number[], doubleArrayQuery: number[]): string;
    /**
     * The following method assign every path parameter with the value
     */
    queryArrayInputTypesPathAssignment(urlWithScheme: string): string;
    /**
     * The following method assign every query parameter with the value
     */
    queryArrayInputTypesQueryAssignment(longArrayQuery: number[], booleanQuery: boolean, integerArrayQuery: number[], doubleArrayQuery: number[]): string;
    /**
     * The following method assign every header parameter with the value
     */
    queryArrayInputTypesHeaderAssignment(): HttpHeaders;
    responseTwoDimensions(scheme: string): Observable<number[][]>;
    /**
     * Validate the input scheme with the expected for this
     */
    responseTwoDimensionsValidateScheme(scheme: any): boolean;
    /**
     * The following method get the full URL
     */
    responseTwoDimensionsFullUrl(scheme: string): string;
    /**
     * The following method assign every path parameter with the value
     */
    responseTwoDimensionsPathAssignment(urlWithScheme: string): string;
    /**
     * The following method assign every query parameter with the value
     */
    responseTwoDimensionsQueryAssignment(): string;
    /**
     * The following method assign every header parameter with the value
     */
    responseTwoDimensionsHeaderAssignment(): HttpHeaders;
    /**
     * @param statusCode with the status code
     * @param error with the instance of the error
     * @return a new instance of standard HTTP exception
     */
    generateStandardHttpExceptionFromErrorInstance(statusCode: any, error: any): StandardHttpException;
    /**
     * @param statusCode  with the status code
     * @param errorString with the error message
     * @param message 	  with the exception message
     * @param exception   with the stack trace error
     * @param path        with the path error
     * @param timestamp   with the timestamp
     * @return a new instance of standard HTTP exception
     */
    generateStandardHttpException(statusCode: number, errorString: string, message: string, exception: string, path: string, timestamp: number): StandardHttpException;
}
